/** \file
 *  \brief This file declares interface functions to a BLE UART implementation.
 *
 */

#ifndef COMM_BLE_UART_H
#define COMM_BLE_UART_H

#ifdef __cplusplus
extern "C" {
#endif

/* Preprocessor and Type Definitions */

/* Include Files */

/* Public Variables */

/* Public Functions */
void COMM_BLE_UART_Init(void);
void COMM_BLE_UART_PutString(const char8 * string, uint16_t length);
void COMM_BLE_UART_PutChar(char8 character);
void COMM_BLE_UART_MaybeSendData(void);
bool COMM_BLE_UART_HandleEvent(uint32 event, void * eventParam);

#ifdef __cplusplus
}
#endif

#endif // COMM_BLE_UART_H